<!-- HTML header for doxygen 1.8.18-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    <meta name="generator" content="Doxygen 1.9.1" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>VizBlocks: src/NameDictionary.h Source File</title>
    <link href="tabs.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="dynsections.js"></script>
     <link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
    <link href="my_customdoxygen.css" rel="stylesheet" type="text/css" />
  </head>
  <body>
    <div id="top">
      <!-- do not remove this div, it is closed by doxygen! -->
      <header id="header" class="desktop">
        <div>
          <div class="inner-header">
            <div class="logotype">
              <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" aria-hidden="true" title="Site home"
                >VizBlocks</a
              >
            </div>
            <div class="navigation">
              <button
                onclick="toggleBurger()"
                type="button"
                aria-label="toggle burger menu"
              >
                <i class="fa fa-bars"></i>
              </button>
              <nav id="menu" class="collapse">
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" class="home">Home</a>
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/about" class="about">About</a>
                <a
                  href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials/0_getting_started.html"
                  class="start"
                  >Get Started</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials" class="tutorials"
                  >Tutorials</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/docs/html" class="docs"
                  >Technical Info</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/contact" class="content">Contact</a>
              </nav>
            </div>
          </div>
        </div>
        <script>
          const toggleBurger = () => {
            const menu = document.getElementById("menu");
            if (menu.className === "collapse") {
              menu.className = "extend";
            } else {
              menu.className = "collapse";
            }
          };
          const touchDevice = "ontouchstart" in document.documentElement;
          if (touchDevice) {
            const header = document.getElementById("header");
            header.className = "mobile";
          }
        </script>
      </header>
      <!-- end header part -->
    </div>
  </body>
</html>
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">NameDictionary.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_name_dictionary_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef NAMEDICTIONARY_h</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define NAMEDICTIONARY_h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &lt;Arduino.h&gt;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="structkey_value_pair.html">   17</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;{</div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="structkey_value_pair.html#adb85d53d7359451787af29909980521b">   19</a></span>&#160;    String <a class="code" href="structkey_value_pair.html#adb85d53d7359451787af29909980521b">key</a>;</div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="structkey_value_pair.html#a771e4b495c89c99100848add7a58eea6">   20</a></span>&#160;    String <a class="code" href="structkey_value_pair.html#a771e4b495c89c99100848add7a58eea6">value</a>;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;} <a class="code" href="structkey_value_pair.html">keyValuePair</a>;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="class_name_dictionary.html">   29</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_name_dictionary.html">NameDictionary</a></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;{</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <a class="code" href="structkey_value_pair.html">keyValuePair</a> data[50] = {</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;        {<span class="stringliteral">&quot;c2c373&quot;</span>, <span class="stringliteral">&quot;abe&quot;</span>},</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        {<span class="stringliteral">&quot;c31d9d&quot;</span>, <span class="stringliteral">&quot;aja&quot;</span>},</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        {<span class="stringliteral">&quot;c2b603&quot;</span>, <span class="stringliteral">&quot;ace&quot;</span>},</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        {<span class="stringliteral">&quot;da58f5&quot;</span>, <span class="stringliteral">&quot;ali&quot;</span>},</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;        {<span class="stringliteral">&quot;da6195&quot;</span>, <span class="stringliteral">&quot;alf&quot;</span>},</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        {<span class="stringliteral">&quot;da50d8&quot;</span>, <span class="stringliteral">&quot;amy&quot;</span>},</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        {<span class="stringliteral">&quot;da5649&quot;</span>, <span class="stringliteral">&quot;ann&quot;</span>},</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        {<span class="stringliteral">&quot;c2b2d6&quot;</span>, <span class="stringliteral">&quot;art&quot;</span>},</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        {<span class="stringliteral">&quot;da516d&quot;</span>, <span class="stringliteral">&quot;aya&quot;</span>},</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        {<span class="stringliteral">&quot;c2a597&quot;</span>, <span class="stringliteral">&quot;bea&quot;</span>},</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        {<span class="stringliteral">&quot;da5331&quot;</span>, <span class="stringliteral">&quot;bev&quot;</span>},</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        {<span class="stringliteral">&quot;c2c41d&quot;</span> ,<span class="stringliteral">&quot;bob&quot;</span>},</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        {<span class="stringliteral">&quot;c318a1&quot;</span>, <span class="stringliteral">&quot;bud&quot;</span>},</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        {<span class="stringliteral">&quot;da5a56&quot;</span>, <span class="stringliteral">&quot;deb&quot;</span>},</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        {<span class="stringliteral">&quot;da4a70&quot;</span>, <span class="stringliteral">&quot;cal&quot;</span>},</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        {<span class="stringliteral">&quot;c2c5c2&quot;</span>, <span class="stringliteral">&quot;cam&quot;</span>},</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        {<span class="stringliteral">&quot;c2a5e6&quot;</span>, <span class="stringliteral">&quot;che&quot;</span>},</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        {<span class="stringliteral">&quot;c2a23f&quot;</span>, <span class="stringliteral">&quot;dot&quot;</span>},</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        {<span class="stringliteral">&quot;c2c415&quot;</span>, <span class="stringliteral">&quot;dan&quot;</span>},</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        {<span class="stringliteral">&quot;c2bf2a&quot;</span>, <span class="stringliteral">&quot;dax&quot;</span>},</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        {<span class="stringliteral">&quot;da4ee4&quot;</span>, <span class="stringliteral">&quot;fin&quot;</span>},</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        {<span class="stringliteral">&quot;c2af18&quot;</span>, <span class="stringliteral">&quot;jim&quot;</span>},</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        {<span class="stringliteral">&quot;1a6b16&quot;</span>, <span class="stringliteral">&quot;joe&quot;</span>},</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        {<span class="stringliteral">&quot;8810e9&quot;</span>, <span class="stringliteral">&quot;kat&quot;</span>},</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;        {<span class="stringliteral">&quot;31054b&quot;</span>, <span class="stringliteral">&quot;kev&quot;</span>},</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        {<span class="stringliteral">&quot;30ce48&quot;</span>, <span class="stringliteral">&quot;sam&quot;</span>},</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        {<span class="stringliteral">&quot;8e1ac&quot;</span> , <span class="stringliteral">&quot;eve&quot;</span>},</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        {<span class="stringliteral">&quot;c2a773&quot;</span>, <span class="stringliteral">&quot;ben&quot;</span>},</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        {<span class="stringliteral">&quot;da613c&quot;</span>, <span class="stringliteral">&quot;lou&quot;</span>},</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        {<span class="stringliteral">&quot;c2c047&quot;</span>, <span class="stringliteral">&quot;tim&quot;</span>},</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        {<span class="stringliteral">&quot;30ce96&quot;</span>, <span class="stringliteral">&quot;joy&quot;</span>},</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    };</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160; </div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    <span class="keywordtype">int</span> _arraySize;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160; </div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="class_name_dictionary.html#a61a5f5b7a2537206f4ef75012647166e">   71</a></span>&#160;    <a class="code" href="class_name_dictionary.html#a61a5f5b7a2537206f4ef75012647166e">NameDictionary</a>();</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160; </div>
<div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="class_name_dictionary.html#a510b1e034639951fa9401424e021bb09">   76</a></span>&#160;    String <a class="code" href="class_name_dictionary.html#a510b1e034639951fa9401424e021bb09">get</a>(String key);</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160; </div>
<div class="line"><a name="l00081"></a><span class="lineno"><a class="line" href="class_name_dictionary.html#af615479d85533f34f7e289be3b6218b6">   81</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_name_dictionary.html#af615479d85533f34f7e289be3b6218b6">list</a>();</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160; </div>
<div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="class_name_dictionary.html#a24371606944bf0780b169d6007730ec7">   86</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_name_dictionary.html#a24371606944bf0780b169d6007730ec7">values</a>();</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160; </div>
<div class="line"><a name="l00091"></a><span class="lineno"><a class="line" href="class_name_dictionary.html#ac266d0392951208a6b4ab188ad73ed3d">   91</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_name_dictionary.html#ac266d0392951208a6b4ab188ad73ed3d">keys</a>();</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160; </div>
<div class="line"><a name="l00096"></a><span class="lineno"><a class="line" href="class_name_dictionary.html#af1464fb3122f6fa04bfb54215ab31b8b">   96</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="class_name_dictionary.html#af1464fb3122f6fa04bfb54215ab31b8b">length</a>();</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;};</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160; </div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="ttc" id="aclass_name_dictionary_html"><div class="ttname"><a href="class_name_dictionary.html">NameDictionary</a></div><div class="ttdoc">Storage and functionality for block naming.</div><div class="ttdef"><b>Definition:</b> NameDictionary.h:30</div></div>
<div class="ttc" id="aclass_name_dictionary_html_a24371606944bf0780b169d6007730ec7"><div class="ttname"><a href="class_name_dictionary.html#a24371606944bf0780b169d6007730ec7">NameDictionary::values</a></div><div class="ttdeci">void values()</div><div class="ttdoc">Prints all the values to the serial.</div></div>
<div class="ttc" id="aclass_name_dictionary_html_a510b1e034639951fa9401424e021bb09"><div class="ttname"><a href="class_name_dictionary.html#a510b1e034639951fa9401424e021bb09">NameDictionary::get</a></div><div class="ttdeci">String get(String key)</div><div class="ttdoc">Returns the value associated to a key. If no key value pair is found, the search term is returned.</div></div>
<div class="ttc" id="aclass_name_dictionary_html_a61a5f5b7a2537206f4ef75012647166e"><div class="ttname"><a href="class_name_dictionary.html#a61a5f5b7a2537206f4ef75012647166e">NameDictionary::NameDictionary</a></div><div class="ttdeci">NameDictionary()</div><div class="ttdoc">Class constructor.</div></div>
<div class="ttc" id="aclass_name_dictionary_html_ac266d0392951208a6b4ab188ad73ed3d"><div class="ttname"><a href="class_name_dictionary.html#ac266d0392951208a6b4ab188ad73ed3d">NameDictionary::keys</a></div><div class="ttdeci">void keys()</div><div class="ttdoc">Prints all the keys to the serial.</div></div>
<div class="ttc" id="aclass_name_dictionary_html_af1464fb3122f6fa04bfb54215ab31b8b"><div class="ttname"><a href="class_name_dictionary.html#af1464fb3122f6fa04bfb54215ab31b8b">NameDictionary::length</a></div><div class="ttdeci">int length()</div><div class="ttdoc">Returns the number of key value pairs in the dictionary.</div></div>
<div class="ttc" id="aclass_name_dictionary_html_af615479d85533f34f7e289be3b6218b6"><div class="ttname"><a href="class_name_dictionary.html#af615479d85533f34f7e289be3b6218b6">NameDictionary::list</a></div><div class="ttdeci">void list()</div><div class="ttdoc">Prints all the key value pairs to the serial.</div></div>
<div class="ttc" id="astructkey_value_pair_html"><div class="ttname"><a href="structkey_value_pair.html">keyValuePair</a></div><div class="ttdoc">A structure to hold key:value paired data, similar to a python dictionary.</div><div class="ttdef"><b>Definition:</b> NameDictionary.h:18</div></div>
<div class="ttc" id="astructkey_value_pair_html_a771e4b495c89c99100848add7a58eea6"><div class="ttname"><a href="structkey_value_pair.html#a771e4b495c89c99100848add7a58eea6">keyValuePair::value</a></div><div class="ttdeci">String value</div><div class="ttdef"><b>Definition:</b> NameDictionary.h:20</div></div>
<div class="ttc" id="astructkey_value_pair_html_adb85d53d7359451787af29909980521b"><div class="ttname"><a href="structkey_value_pair.html#adb85d53d7359451787af29909980521b">keyValuePair::key</a></div><div class="ttdeci">String key</div><div class="ttdef"><b>Definition:</b> NameDictionary.h:19</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.18-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.9.1
</small></address>
</body>
</html>
